//########################
//IllustratorCS3でExcelで作成されたグラフを整形します。
//クリッピングマスクを削除します。
//線幅を適当な数値に変更します。
//通常の文字と線幅のある文字がかさなっているときに線幅のある文字を削除します。
//たけうちとおる
//########################

main();

function main(){
	if (app.documents.length == 0){
		alert("ドキュメントを開いてください");
		return;
	}
	var myDocu = app.activeDocument;
	var pageitemcount = myDocu.pageItems.length;
	for(var N = pageitemcount - 1;N>-1;N--){
		var myObj = myDocu.pageItems[N];
		var mypageitem_type = myObj.typename;
		if(mypageitem_type == "GroupItem"){
			if(myObj.clipped == true){
				//deleteclipgroup(myObj);
				try{
					myObj.pageItems[1].remove();
				}catch(e){
					
				}
			}
		}else if(mypageitem_type == "PathItem"){
			if(myObj.strokeWidth > 0 && myObj.strokeWidth < 0.3){
				myObj.strokeWidth = 0.283;
			}else if(myObj.strokeWidth < 0.6){
				myObj.strokeWidth = 0.566;
			}else if(myObj.strokeWidth < 0.9){
				myObj.strokeWidth = 0.849;
			}else if(myObj.strokeWidth < 1.2){
				myObj.strokeWidth = 1.132;
			}
		}else if(mypageitem_type == "TextFrame"){
			try{
				var mynextObj = myDocu.pageItems[N-1];
				var mynextpageitem_type = mynextObj.typename;
				if(mynextpageitem_type == "TextFrame"){
					if(myObj.contents == mynextObj.contents){
						var atest1 = myObj.paragraphs[0].strokeColor.typename;
						var atest2 = mynextObj.paragraphs[0].strokeColor.typename;
						if(myObj.paragraphs[0].strokeColor.typename == "NoColor"){
							mynextObj.remove();
						}else if(mynextObj.paragraphs[0].strokeColor.typename == "NoColor"){
							myObj.remove();
						}
					}
				}
			}catch(e){
			
			}
		}
	}
}
function deleteclipgroup(clipgroup){
	var clipitemcount = clipgroup.pageItems.length;
		for(var S = clipitemcount - 1;S>-1;S--){
			if(clipgroup.pageItems[S].clipped == true){
				//myObj.clipped =false;
				clipgroup.pageItems[S].remove();
			}
	}
}